Skip to main content

Contact

Contact provides access to the contact resource. This is where all contacts are held..

Amended 2017-12-07 Customer Properties Example of a returned customer object with an included outlet

{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 1,
"RecordsFound": 1,
"Contact": [
{
"id": 10738,
"Name": "New Contact",
"Position": "",
"Telephone": "",
"Email": "Erik Neirinckx <erik@studiof.be>",
"Mobile": "",
"Table_Number": 7,
"CompanyContactsID": 2268207
}
]
}
}
PropertyExampleDescription
id10738 Unique contact id
Name"New Contact"The contacts name
Position"Sales"The job title or position of the contact
Telephone"Hutton"Contacts telephone number
Email""Contacts email address
Mobile1Contactsmobile number
Table_Number7The table to which the contact is related to: 12 = Customer, 7 = Outlet, 4 = Supplier & 70 = Agents
ContactTableID2268207A composite key for the related entity record and the table number.

Contact Methods​

GET /api/contact​

Returns all contacts in the system .